Grading
A: Create entity grading config
AuthorizationBearer <token>
In: header
Path Parameters
entity_typestring
The entity type identifier
entity_idstring
The entity id identifier
Format
uuidQuery Parameters
entity_type?string
Entity type (values: course, quiz)
Default
nullValue in
"course" | "quiz"entity_id?string
Entity ID
Default
nullFormat
uuidassessment_weightsobject
credit_hoursinteger
Default
3entity_idstring
Default
"{{entity_id}}"entity_typestring
Default
"{{entity_type}}"grading_scheme_idstring
Default
"{{scheme_id}}"grading_typestring
Default
"GRADED"program_idstring
Default
"{{program_id}}"program_typestring
Default
"{{program_type}}"Response Body
curl -X POST "https://edushade.com/api/v1/admin/learning/entities/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/grading-config?entity_type=course" \
-H "Content-Type: application/json" \
-d '{
"assessment_weights": {
"assignments": 30,
"final": 40,
"midterm": 30
},
"credit_hours": 3,
"entity_id": "{{entity_id}}",
"entity_type": "{{entity_type}}",
"grading_scheme_id": "{{scheme_id}}",
"grading_type": "GRADED",
"program_id": "{{program_id}}",
"program_type": "{{program_type}}"
}'{}Empty
Empty
Empty